Get agent
Returns a single agent by id.
Path Parameters
Response
application/json
Response
Agent
Agent
An agent.
An agent prompt.
Show Child Parameters
Allowed values:ACTIVEINACTIVEDRAFT
The capabilities of the agent.
Allowed values:ENRICHMENT_AGENTTRANSFORMATION_AGENTBRAND_COMPLIANCE_AGENTGOVERNANCE_AGENTPATH_GENERATOR_AGENT
Authentication
Path Parameters
Edit agent
Partially updates an agent. Only the fields provided in the request body are changed; capabilities cannot be modified after creation. For the prompt and agentProperties configuration of each capability, see the description of POST /api/1/agent/agents.
Path Parameters
Body
application/json
Body
AgentUpdateRequest
Request body for a partial update. All fields are optional. Capabilities cannot be changed after the agent is created.
<= 50 characters
<= 130 characters
Allowed values:ACTIVEINACTIVEDRAFT
The prompt to set on an agent when you create or edit it. Unlike the read-only Prompt in responses, id and version are optional here.
Show Child Parameters
Response
application/json
Response
Updated agent
Agent
An agent.
An agent prompt.
Show Child Parameters
Allowed values:ACTIVEINACTIVEDRAFT
The capabilities of the agent.
Allowed values:ENRICHMENT_AGENTTRANSFORMATION_AGENTBRAND_COMPLIANCE_AGENTGOVERNANCE_AGENTPATH_GENERATOR_AGENT
Authentication
Path Parameters
Body
Delete agent
Deletes an agent by id.
Path Parameters
Response
Response
Agent deleted
Authentication
Path Parameters
Executions
Run agents and query the resulting agent and asset executions status.
List agent executions
Returns a paginated list of agent executions, filtered by the query parameters below.
Query Parameters
Allowed values:RUNNINGACTION_REQUIREDCOMPLETED
Allowed values:ENRICHMENT_AGENTTRANSFORMATION_AGENTBRAND_COMPLIANCE_AGENTGOVERNANCE_AGENTPATH_GENERATOR_AGENT
Filter to executions run by one of these users.
Filter to executions run by one of these automation rules.
When true, returns only executions triggered by an automation rule.
Returns only the executions started for this workspace upload batch.
Cursor from the previous page’s nextPage. Omit for the first page.
Default:20
>= 1<= 100
Default:-modifiedAt
Response
application/json
Response
Paginated list of agent executions
PaginatedExecutions
A page of executions. metadata.nextPage is a query string to add to the same request URL, or null on the last page.
An agent execution.